# Class: CallOut

## CallOut()

#### new CallOut()

NB: Attributes not available here - use connectedCallback to reference

Source:
  - call-out.js, line 115

### Members

#### componentVersion

Component version

Source:
  - call-out.js, line 97

#### componentVersion

Component version

Source:
  - call-out.js, line 97

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - call-out.js, line 102

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - call-out.js, line 102

### Methods

#### attributeChangedCallback(attrib, oldVal, newVal)

Runs when an observed attribute changes - Note: values are always strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | Name of watched attribute that has changed
`oldVal` | string | The previous attribute value
`newVal` | string | The new attribute value

Source:
  - call-out.js, line 167

#### attributeChangedCallback(attrib, oldVal, newVal)

Runs when an observed attribute changes - Note: values are always strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | Name of watched attribute that has changed
`oldVal` | string | The previous attribute value
`newVal` | string | The new attribute value

Source:
  - call-out.js, line 167

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - call-out.js, line 146

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - call-out.js, line 146

#### disconnectedCallback()

Runs when an instance is removed from the DOM

Source:
  - call-out.js, line 158

#### disconnectedCallback()

Runs when an instance is removed from the DOM

Source:
  - call-out.js, line 158

## CallOut()

#### new CallOut()

NB: Attributes not available here - use connectedCallback to reference

Source:
  - call-out.js, line 115

### Members

#### componentVersion

Component version

Source:
  - call-out.js, line 97

#### componentVersion

Component version

Source:
  - call-out.js, line 97

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - call-out.js, line 102

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - call-out.js, line 102

### Methods

#### attributeChangedCallback(attrib, oldVal, newVal)

Runs when an observed attribute changes - Note: values are always strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | Name of watched attribute that has changed
`oldVal` | string | The previous attribute value
`newVal` | string | The new attribute value

Source:
  - call-out.js, line 167

#### attributeChangedCallback(attrib, oldVal, newVal)

Runs when an observed attribute changes - Note: values are always strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | Name of watched attribute that has changed
`oldVal` | string | The previous attribute value
`newVal` | string | The new attribute value

Source:
  - call-out.js, line 167

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - call-out.js, line 146

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - call-out.js, line 146

#### disconnectedCallback()

Runs when an instance is removed from the DOM

Source:
  - call-out.js, line 158

#### disconnectedCallback()

Runs when an instance is removed from the DOM

Source:
  - call-out.js, line 158